Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84159 - unable to compile 2.4.18-24.8.0
Summary: unable to compile 2.4.18-24.8.0
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-12 21:54 UTC by Need Real Name
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-05 16:29:08 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-02-12 21:54:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021202

Description of problem:
I attempted to build a custom 2.4.18-24.8.0 kernel based on the provided
kernel-2.4.18-i686.config, to add Multiple LUN support.  The compile was
unsuccessful, so, after trying a few different things, I reinstalled the
kernel-source package and tried building with the kernel-2.4.18-i686.config with
no changes.

In every case, it fails in the drivers/addon/cipe directory.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install kernel-source-2.4.18-24.8.0

2. cd /usr/src/linux-2.4
   sudo cp configs/kernel-2.4.18-i686.config .config
   sudo make dep
   sudo make bzImage
   sudo make modules

3. Watch it fail in the drivers/addon/cipe directory


Actual Results:  kernel build fails

Expected Results:  kernel build succceds

Additional info:

Here are the last few lines of the last build with an unchanged config; the rest
scrolled out of the xterm buffer already, I can reproduce if necessary
(actually, more of this is removed than I intended, because bugzilla dies with a
'Request-URI Too Large' if I submit it with all that I have):

In file included from /usr/src/linux-2.4.18-24.8.0/include/net/dst.h:12,
                 from /usr/src/linux-2.4.18-24.8.0/include/net/sock.h:107,
                 from cipe.h:69,
                 from module.c:15:
/usr/src/linux-2.4.18-24.8.0/include/net/neighbour.h: In function `neigh_confirm':
/usr/src/linux-2.4.18-24.8.0/include/net/neighbour.h:233: `jiffies_R0da02d67'
undeclared (first use in this function)
/usr/src/linux-2.4.18-24.8.0/include/net/neighbour.h: In function
`neigh_event_send':
/usr/src/linux-2.4.18-24.8.0/include/net/neighbour.h:248: `jiffies_R0da02d67'
undeclared (first use in this function)
In file included from /usr/src/linux-2.4.18-24.8.0/include/net/sock.h:107,
                 from cipe.h:69,
                 from module.c:15:
/usr/src/linux-2.4.18-24.8.0/include/net/dst.h: In function `dst_set_expires':
/usr/src/linux-2.4.18-24.8.0/include/net/dst.h:149: `jiffies_R0da02d67'
undeclared (first use in this function)
In file included from cipe.h:69,
                 from module.c:15:
/usr/src/linux-2.4.18-24.8.0/include/net/sock.h: In function `sk_filter_release':
/usr/src/linux-2.4.18-24.8.0/include/net/sock.h:934: warning: implicit
declaration of function `kfree_R037a0cba'
/usr/src/linux-2.4.18-24.8.0/include/net/sock.h: In function `sock_orphan':
/usr/src/linux-2.4.18-24.8.0/include/net/sock.h:1009: `do_softirq_Rf0a529b7'
undeclared (first use in this function)
/usr/src/linux-2.4.18-24.8.0/include/net/sock.h: In function `sock_graft':
/usr/src/linux-2.4.18-24.8.0/include/net/sock.h:1018: `do_softirq_Rf0a529b7'
undeclared (first use in this function)
/usr/src/linux-2.4.18-24.8.0/include/net/sock.h: In function `sock_recv_timestamp':
/usr/src/linux-2.4.18-24.8.0/include/net/sock.h:1266: warning: implicit
declaration of function `put_cmsg_Rf39bf4d9'
module.c: In function `cipe_check_kernel':
module.c:73: warning: implicit declaration of function `printk_R1b7d4074'
/usr/src/linux-2.4.18-24.8.0/include/linux/skbuff.h: In function `kunmap_skb_frag':
/usr/src/linux-2.4.18-24.8.0/include/linux/skbuff.h:1129: warning: asm operand 1
probably doesn't match constraints
make[3]: *** [module.o] Error 1
make[3]: Leaving directory `/usr/src/linux-2.4.18-24.8.0/drivers/addon/cipe'
make[2]: *** [_modsubdir_cipe] Error 2
make[2]: Leaving directory `/usr/src/linux-2.4.18-24.8.0/drivers/addon'
make[1]: *** [_modsubdir_addon] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.18-24.8.0/drivers'
make: *** [_mod_drivers] Error 2

Comment 1 Arjan van de Ven 2003-02-12 21:59:36 UTC
please do "make mrproper" as very first step.

Comment 2 Need Real Name 2003-02-13 20:34:26 UTC
right.  I thought I had tried that, but apparently I did not.  I just did:

  sudo rpm -Uvh kernel-source-2.4.18-24.8.0.i386.rpm
  cd /usr/src/linux-2.4
  sudo make mrproper
  sudo cp configs/kernel-2.4.18-i686.config .config
  sudo make dep

and 'make dep' failed.  The output of 'make dep' follows:

[1049] 15:28 mwl@voyager:/usr/src/linux-2.4>sudo make dep
gcc -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -o scripts/mkdep scripts/
mkdep.c
make[1]: Entering directory `/usr/src/linux-2.4.18-24.8.0/arch/i386/boot'
make[1]: Nothing to be done for `dep'.
make[1]: Leaving directory `/usr/src/linux-2.4.18-24.8.0/arch/i386/boot'
scripts/mkdep -- init/*.c > .depend
scripts/mkdep -- `find /usr/src/linux-2.4.18-24.8.0/include/asm /usr/src/linux-2
.4.18-24.8.0/include/linux /usr/src/linux-2.4.18-24.8.0/include/scsi /usr/src/li
nux-2.4.18-24.8.0/include/net /usr/src/linux-2.4.18-24.8.0/include/math-emu -nam
e SCCS -prune -o -follow -name \*.h ! -name modversions.h -print` > .hdepend
find: /usr/src/linux-2.4.18-24.8.0/include/asm: No such file or directory
find: /usr/src/linux-2.4.18-24.8.0/include/math-emu: No such file or directory
make _sfdep_kernel _sfdep_drivers _sfdep_mm _sfdep_fs _sfdep_net _sfdep_ipc _sfd
ep_lib _sfdep_abi _sfdep_crypto _sfdep_arch/i386/kernel _sfdep_arch/i386/mm _sfd
ep_arch/i386/lib _FASTDEP_ALL_SUB_DIRS="kernel drivers mm fs net ipc lib abi cry
pto arch/i386/kernel arch/i386/mm arch/i386/lib"
make[1]: Entering directory `/usr/src/linux-2.4.18-24.8.0'
make -C kernel fastdep
make[2]: Entering directory `/usr/src/linux-2.4.18-24.8.0/kernel'
make[2]: *** No rule to make target `/usr/src/linux-2.4.18-24.8.0/include/linux/
autoconf.h', needed by `/usr/src/linux-2.4.18-24.8.0/include/linux/modules/signa
l.ver'.  Stop.
make[2]: Leaving directory `/usr/src/linux-2.4.18-24.8.0/kernel'
make[1]: *** [_sfdep_kernel] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.18-24.8.0'
make: *** [dep-files] Error 2
Exit 2


Comment 3 Arjan van de Ven 2003-02-13 20:47:05 UTC
how about a make oldconfig after copying the config file?
the  .config file itself isn't used but parsed into compiler-readable things.
you need to run any of make oldconfig, xconfig  menuconfig or just config to do
that,

Comment 4 Arjan van de Ven 2003-04-05 16:29:08 UTC
closing due to inactivity in needinfo


Note You need to log in before you can comment on or make changes to this bug.